package particles.v1;

import java.awt.BorderLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.SwingUtilities;

public class ParticleFrame extends JFrame {
    /**
     * constructeur
     */
    public ParticleFrame() {
        // titre de la fenêtre
        this.setTitle("Particules");
        
        // quitter l'application lorsque la fenêtre est fermée
        this.setDefaultCloseOperation(EXIT_ON_CLOSE);

        // création et ajout du panneau des particules
        final ParticlePanel particlePanel = new ParticlePanel();
        this.add(particlePanel, BorderLayout.CENTER);
        
        // création et ajout du bouton de création de particules
        final JButton addButton = new JButton("Ajouter une particule ( 0 )");
        this.add(addButton, BorderLayout.SOUTH);

        // listener pour le bouton d'ajout des particules
        addButton.addActionListener(new ActionListener() {

            public void actionPerformed(ActionEvent e) {
                particlePanel.addParticle(new Particle(particlePanel));
                addButton.setText("Ajouter une particule ( " + particlePanel.getParticleCount() + " )");
            }
        });

        // application des layouts
        pack();
    }

    /**
     * programme principal
     */
    public static void main(String[] args) {
        SwingUtilities.invokeLater(new Runnable() {

            public void run() {
                ParticleFrame pf = new ParticleFrame();
                pf.setSize(400,400);
                pf.setVisible(true);
            }
        });
    }
}
